Loading...
Searching...
No Matches
casacore::GetColumnSlices Class Reference
tables package (libcasa_tables) » Tables_module

Functor to get irregular array slices from a column. More...

`#include <ArrayColumnFunc.h>`

## Public Member Functions

| GetColumnSlices (const ArrayColumnBase &col)
virtual void | apply (const Slicer &slicer, ArrayBase &arr)
Public Member Functions inherited from casacore::BaseSlicesFunctor
virtual | ~BaseSlicesFunctor ()

## Private Attributes

const ArrayColumnBase & | itsCol

## Detailed Description

Functor to get irregular array slices from a column.

Definition at line 67 of file ArrayColumnFunc.h.

## Constructor & Destructor Documentation

## GetColumnSlices()

casacore::GetColumnSlices::GetColumnSlices | ( | const ArrayColumnBase & | col | ) |

inline

Definition at line 70 of file ArrayColumnFunc.h.

References itsCol.

## Member Function Documentation

## apply()

virtual void casacore::GetColumnSlices::apply | ( | const Slicer & | slicer,
|  | ArrayBase & | arr )

inline virtual

Implements casacore::BaseSlicesFunctor.

Definition at line 73 of file ArrayColumnFunc.h.

References casacore::False, and itsCol.

## Member Data Documentation

## itsCol

const ArrayColumnBase& casacore::GetColumnSlices::itsCol

private

Definition at line 76 of file ArrayColumnFunc.h.

Referenced by apply(), and GetColumnSlices().

The documentation for this class was generated from the following file:

- tables/Tables/ArrayColumnFunc.h